bdi4jade.goal

## Class ParallelGoal

- java.lang.Object
- - bdi4jade.goal.CompositeGoal
  - - bdi4jade.goal.ParallelGoal

- All Implemented Interfaces:
    Goal, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class ParallelGoal
      extends CompositeGoal

  This class represents a goal that aims at achieving all goals that compose this goal in a parallel way.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.goal.CompositeGoal

      `completedGoals, failedGoal, goals`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelGoal(Goal[] goals)` Creates a new ParallelGoal.
    `ParallelGoal(java.util.Set<Goal> goals)` Creates a new ParallelGoal.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Collection<Goal>` | `createGoals(int size)` Creates an instance of the collection that holds the goals of this composite goal.

    - ### Methods inherited from class bdi4jade.goal.CompositeGoal

      `getCompletedGoals, getFailedGoal, getGoals, setCompletedGoals, setFailedGoal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParallelGoal

          public ParallelGoal(Goal[] goals)

      Creates a new ParallelGoal.
      Parameters:
        `goals` - the goals that compose this goal.
      See Also:
        `CompositeGoal.CompositeGoal(Goal[])`

    - #### ParallelGoal

          public ParallelGoal(java.util.Set<Goal> goals)

      Creates a new ParallelGoal.
      Parameters:
        `goals` - the goals that compose this goal.
      See Also:
        `CompositeGoal.CompositeGoal(Collection)`

  - ### Method Detail

    - #### createGoals

          protected java.util.Collection<Goal> createGoals(int size)

      Description copied from class: `CompositeGoal`
      Creates an instance of the collection that holds the goals of this composite goal.
      Specified by:
        `createGoals` in class `CompositeGoal`
      Parameters:
        `size` - the size of the collection.
      Returns:
        the collection.
      See Also:
        `CompositeGoal.createGoals(int)`